#pragma once

#include <osg/Notify>
#include <osgDB/FileNameUtils>
#include <osgDB/FileUtils>
#include <osgDB/Registry>
#include <osgDB/ReadFile>

#include "ModificationVisitor.h"

class ReaderWriterTerrainMod : public osgDB::ReaderWriter
{
public:
	ReaderWriterTerrainMod();

	virtual const char* className() const { return "terrain modification pseudo-loader"; };
	virtual ReadResult readNode( const std::string& file, const osgDB::ReaderWriter::Options* options) const;

private:
	std::string extensionToAdd;
};
